component: Dispatch
namespace: zoox::dispatch::diagnostics
# metric: ...
proto_imports:
  - vehicle/dispatch_v3/dispatch_fault_freeze_frames.proto
faults:
  - id: 100
    name: HttpException
    severity: WARNING
    description: An exception occurred while attempting to send or receive an HTTP request.
    freeze_frame: zoox.dispatch.proto.http_fault_freeze_frame
  - id: 1
    name: GetMissionHttpApiException
    severity: WARNING
    description: Number of consecutive HTTP request failures is above a threshold for getting mission.
    freeze_frame: zoox.dispatch.proto.http_fault_freeze_frame
  - id: 2
    name: UpdateMissionHttpApiException
    severity: WARNING
    description: Number of consecutive HTTP request failures is above a threshold for updating mission.
    freeze_frame: zoox.dispatch.proto.http_fault_freeze_frame
  - id: 3
    name: UpdateMissionAvailabilityHttpApiException
    severity: WARNING
    description: Number of consecutive HTTP request failures is above a threshold for updating mission availability.
    freeze_frame: zoox.dispatch.proto.http_fault_freeze_frame
  - id: 4
    name: GetMissionHttpUnknownException
    severity: WARNING
    description: Unknown exception occurred while getting mission via HTTP.
  - id: 5
    name: UpdateMissionHttpUnknownException
    severity: WARNING
    description: Unknown exception occurred while updating mission via HTTP.
  - id: 6
    name: UpdateMissionAvailabilityHttpUnknownException
    severity: WARNING
    description: Unknown exception occurred while updating mission availability via HTTP.
  - id: 7
    name: WaitingForMaestroConfig
    severity: WARNING
    description: Waiting for Maestro configuration before initiating server communication.
  - id: 200
    name: MaestroConfigInvalid
    severity: WARNING
    description: Maestro configuration is invalid.
  - id: 8
    name: MaestroConfigMismatch
    severity: WARNING
    description: Stored Maestro configuration does not match the provided one.
  - id: 9
    name: PoseInvalid
    severity: WARNING
    description: Hero pose is missing important property(ies).
  - id: 77
    name: NoPlannerMission
    severity: INFO
    description: Planner has no mission.
  - id: 78
    name: NoPlannerMissionRoutePoints
    severity: INFO
    description: Mission route has no route points.
  - id: 10
    name: DoorStatusInvalid
    severity: INFO
    description: Vehicle platform measurements message is missing door status.
